Debian Bug report logs - #684323
"-usbdevice tablet" causes bus error

version graph

Package: qemu-kvm; Maintainer for qemu-kvm is Michael Tokarev <mjt@tls.msk.ru>; Source for qemu-kvm is src:qemu.

Reported by: ygrek <ygrek@autistici.org>

Date: Wed, 18 Jul 2012 13:27:04 UTC

Severity: important

Tags: confirmed, patch, upstream

Found in version qemu-kvm/1.1.0+dfsg-3

Fixed in version qemu-kvm/1.1.1+dfsg-1

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ygrek@autistici.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#681985; Package qemu-system. (Wed, 18 Jul 2012 13:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to ygrek <ygrek@autistici.org>:
New Bug report received and forwarded. Copy sent to ygrek@autistici.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. (Wed, 18 Jul 2012 13:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ygrek <ygrek@autistici.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qemu-system: "-usbdevice tablet" causes bus error
Date: Wed, 18 Jul 2012 16:22:34 +0300
Package: qemu-system
Version: 1.1.0+dfsg-1
Severity: normal

$ qemu-system-x86_64 -usbdevice tablet
Bus error (core dumped)

There seems to be no package with debug symbols so the following
backtrace is probably useless..

$ gdb /usr/bin/qemu-system-x86_64 core_qemu-system-x86_1342617637_11200 -q -ex 'set pagination 0' -ex 'thread apply all bt' -ex quit
Reading symbols from /usr/bin/qemu-system-x86_64...(no debugging symbols found)...done.

warning: core file may not match specified executable file.
[New LWP 11200]
[New LWP 11201]
[New LWP 11202]

warning: Can't read pathname for load map: Input/output error.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/usr/bin/qemu-system-x86_64 -usbdevice tablet'.
Program terminated with signal 7, Bus error.
#0  0x00007f7000698c88 in ?? ()

Thread 3 (Thread 0x7f6fe8dad700 (LWP 11202)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00007f70006b9609 in ?? ()
#2  0x00007f6ffbfe2b50 in start_thread (arg=<optimized out>) at pthread_create.c:304
#3  0x00007f6ffbd2d6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f6ff17af700 (LWP 11201)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:136
#1  0x00007f6ffbfecbde in _L_cond_lock_1001 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007f6ffbfeca0b in __pthread_mutex_cond_lock (mutex=0x7f70013ecec0) at ../nptl/pthread_mutex_lock.c:61
#3  0x00007f6ffbfe7368 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:236
#4  0x00007f70006d6429 in ?? ()
#5  0x00007f7000732d4f in ?? ()
#6  0x00007f6ffbfe2b50 in start_thread (arg=<optimized out>) at pthread_create.c:304
#7  0x00007f6ffbd2d6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f7000514900 (LWP 11200)):
#0  0x00007f7000698c88 in ?? ()
#1  0x00007f70006992d6 in ?? ()
#2  0x00007f70006d74ab in ?? ()
#3  0x00007f70006d76fe in ?? ()
#4  0x00007f70006ab05f in ?? ()
#5  0x00007f70005ca473 in main ()

-- System Information:
Debian Release: 6.0.5
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages qemu-system depends on:
ii  ipx 1.0.0+git-20120202.f6840ba-3         PXE boot firmware - ROM images for
ii  lib 0.3.109-3                            Linux kernel AIO access library - 
ii  lib 1.0.25-3                             shared library for ALSA applicatio
ii  lib 4.99-2                               Library to use the BlueZ Linux Blu
ii  lib 4.4-4                                braille display access via BRLTTY 
ii  lib 2.13-33                              Embedded GNU C Library: Shared lib
ii  lib 7.26.0-1                             easy-to-use client-side URL transf
ii  lib 1.3.0-2                              Flat Device Trees manipulation lib
ii  lib 8.0.3-1                              free implementation of the OpenGL 
ii  lib 2.32.3-1                             GLib library of C routines
ii  lib 2.12.20-1                            GNU TLS library - runtime library
ii  lib 1.4.0-3                              iSCSI client shared library
ii  lib 5.9-10                               shared libraries for terminal hand
ii  lib 2.0-3                                PulseAudio client libraries
ii  lib 0.43-1                               RADOS distributed object store cli
ii  lib 0.43-1                               RADOS block device client library
ii  lib 2.1.25.dfsg1-4+b1                    Cyrus SASL - authentication abstra
ii  lib 1.2.15-5                             Simple DirectMedia Layer
ii  lib 0.10.1-2                             Implements the server side of the 
ii  lib 5.9-10                               shared low-level terminfo library 
ii  lib 0.4.3-2                              Parser for the usbredir protocol (
ii  lib 2.20.1-5.1                           Universally Unique ID library
ii  lib 2.3.2-4                              Virtual Distributed Ethernet - Plu
ii  lib 2:1.5.0-1                            X11 client-side library
ii  lib 4.1.3~rc1+hg-20120614.a9c0a89c08f2-4 Public libs for Xen
ii  lib 4.1.3~rc1+hg-20120614.a9c0a89c08f2-4 Xenstore communications library fo
ii  ope 1.0+svn1060-1                        PowerPC Open Firmware
ii  ope 1.0+svn1060-1                        SPARC Open Firmware
ii  ope 0.4.1-6                              OpenFirmware emulator for PowerPC
ii  qem 1.1.0+dfsg-1                         QEMU keyboard maps
ii  sea 1.7.0-1                              Legacy BIOS implementation
ii  vga 0.7a-3                               VGA BIOS software for the Bochs an
ii  zli 1:1.2.7.dfsg-13                      compression library - runtime

Versions of packages qemu-system recommends:
ii  qemu-utils                  1.1.0+dfsg-1 QEMU utilities
pn  vde2                        <none>       (no description available)

Versions of packages qemu-system suggests:
pn  samba                         <none>     (no description available)

-- no debconf information



Added tag(s) unreproducible and moreinfo. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Thu, 19 Jul 2012 18:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#681985; Package qemu-system. (Thu, 19 Jul 2012 18:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. (Thu, 19 Jul 2012 18:57:05 GMT) Full text and rfc822 format available.

Message #12 received at 681985@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: ygrek <ygrek@autistici.org>, 681985@bugs.debian.org
Subject: Re: Bug#681985: qemu-system: "-usbdevice tablet" causes bus error
Date: Thu, 19 Jul 2012 22:47:48 +0400
tags 681985 unreproducible moreinfo
thanks

On 18.07.2012 17:22, ygrek wrote:
> Package: qemu-system
> Version: 1.1.0+dfsg-1
> Severity: normal
> 
> $ qemu-system-x86_64 -usbdevice tablet
> Bus error (core dumped)

I can't reproduce this.  It works as intended here.
Tried on amd64 and i386 with current wheezy.

> There seems to be no package with debug symbols so the following
> backtrace is probably useless..
> 
> $ gdb /usr/bin/qemu-system-x86_64 core_qemu-system-x86_1342617637_11200 -q -ex 'set pagination 0' -ex 'thread apply all bt' -ex quit
> Reading symbols from /usr/bin/qemu-system-x86_64...(no debugging symbols found)...done.
> 
> warning: core file may not match specified executable file.

Are you sure you're this is not the problem? Which
qemu-system-x86_64 binary you're running?  How about
qemu-system-x86_64 -version ?

> warning: Can't read pathname for load map: Input/output error.
> [Thread debugging using libthread_db enabled]
> Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
> Core was generated by `/usr/bin/qemu-system-x86_64 -usbdevice tablet'.
> Program terminated with signal 7, Bus error.
> #0  0x00007f7000698c88 in ?? ()

This is all screwed up.  A symbols file wont help.
Gdb can't find the stack.  But SIGBUS might be due
to the same reason.

[]
> Versions of packages qemu-system depends on:
> ii  ipx 1.0.0+git-20120202.f6840ba-3         PXE boot firmware - ROM images for
> ii  lib 0.3.109-3                            Linux kernel AIO access library - 
> ii  lib 1.0.25-3                             shared library for ALSA applicatio
> ii  lib 4.99-2                               Library to use the BlueZ Linux Blu
> ii  lib 4.4-4                                braille display access via BRLTTY 

Can you please tell me what does this mean?
How come the list of dependencies is formatted
this way?..

Thanks,

/mjt



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#681985; Package qemu-system. (Sat, 21 Jul 2012 08:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to ygrek <ygrek@autistici.org>:
Extra info received and forwarded to list. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. (Sat, 21 Jul 2012 08:33:05 GMT) Full text and rfc822 format available.

Message #17 received at 681985@bugs.debian.org (full text, mbox):

From: ygrek <ygrek@autistici.org>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: 681985@bugs.debian.org
Subject: Re: Bug#681985: qemu-system: "-usbdevice tablet" causes bus error
Date: Sat, 21 Jul 2012 11:07:58 +0300
On Thu, 19 Jul 2012 22:47:48 +0400
Michael Tokarev <mjt@tls.msk.ru> wrote:

> I can't reproduce this.  It works as intended here.
> Tried on amd64 and i386 with current wheezy.

I thought that it is strange to have such error with such common option, probably something 
is wrong in my system (it is a mix of stable and testing), but I have no idea for now..
I cannot reproduce this on other machine either :(
Any hints to pinpoint this problem are welcome..

Running this through remote ssh I can see what it outputs on quickly opened and closed sdl window - it is
the seabios version string.

NB I have created a symlink for kvmvapic.bin to get rid of the startup warning.

$ ls -lA /usr/share/qemu/kvmvapic.bin
lrwxrwxrwx 1 root root 33 Jul 21 10:36 /usr/share/qemu/kvmvapic.bin -> ../seabios/optionrom/kvmvapic.bin

Removing this symlink doesn't change anything wrt this bug.

> > warning: core file may not match specified executable file.
> 
> Are you sure you're this is not the problem? Which
> qemu-system-x86_64 binary you're running?  How about
> qemu-system-x86_64 -version ?

I am running the same binary..

$ /usr/bin/qemu-system-x86_64 -usbdevice tablet
Bus error (core dumped)
$ /usr/bin/qemu-system-x86_64 -version
QEMU emulator version 1.1.0 (Debian 1.1.0+dfsg-1), Copyright (c) 2003-2008 Fabrice Bellard
 
This is probably the gdb problem, I can make this warning go away with :

$ gdb '/usr/bin/qemu-system-x86_64 -usbdevice tablet' core_qemu-system-x86_1342857041_13911 
GNU gdb (GDB) 7.4.1-debian
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
/usr/bin/qemu-system-x86_64 -usbdevice tablet: No such file or directory.
[New LWP 13911]
[New LWP 13913]
[New LWP 13915]
Core was generated by `/usr/bin/qemu-system-x86_64 -usbdevice tablet'.
Program terminated with signal 7, Bus error.

But then it can't obviously find the binary.

> This is all screwed up.  A symbols file wont help.
> Gdb can't find the stack.  But SIGBUS might be due
> to the same reason.

(gdb) disass ($rip-0x28),+0x40
Dump of assembler code from 0x7f1e67109c60 to 0x7f1e67109ca0:
   0x00007f1e67109c60:	push   %rbp
   0x00007f1e67109c61:	mov    %rdi,%rbp
   0x00007f1e67109c64:	push   %rbx
   0x00007f1e67109c65:	sub    $0x18,%rsp
   0x00007f1e67109c69:	mov    %fs:0x28,%rax
   0x00007f1e67109c72:	mov    %rax,0x8(%rsp)
   0x00007f1e67109c77:	xor    %eax,%eax
   0x00007f1e67109c79:	test   %rdi,%rdi
   0x00007f1e67109c7c:	je     0x7f1e67109d0d
   0x00007f1e67109c82:	nopw   0x0(%rax,%rax,1)
=> 0x00007f1e67109c88:	mov    0x20(%rbp),%rdi
   0x00007f1e67109c8c:	test   %rdi,%rdi
   0x00007f1e67109c8f:	jne    0x7f1e67109cb3
   0x00007f1e67109c91:	jmp    0x7f1e67109cd8
   0x00007f1e67109c93:	nopl   0x0(%rax,%rax,1)
   0x00007f1e67109c98:	mov    0x70(%rdi),%rdx
   0x00007f1e67109c9c:	mov    %rdx,0x70(%rbx)

This looks like a valid function, but gdb doesn't know it's name and it couldn't detect that ip
was located inside the function. So I think symbols file would help here..
 
> > Versions of packages qemu-system depends on:
> > ii  ipx 1.0.0+git-20120202.f6840ba-3         PXE boot firmware - ROM images for
> > ii  lib 0.3.109-3                            Linux kernel AIO access library - 
> > ii  lib 1.0.25-3                             shared library for ALSA applicatio
> > ii  lib 4.99-2                               Library to use the BlueZ Linux Blu
> > ii  lib 4.4-4                                braille display access via BRLTTY 
> 
> Can you please tell me what does this mean?
> How come the list of dependencies is formatted
> this way?..

Sorry, I didn't pay attention, that was reportbug from stable, here is the correct output :

Versions of packages qemu-system depends on:
ii  ipxe-qemu                 1.0.0+git-20120202.f6840ba-3
ii  libaio1                   0.3.109-3
ii  libasound2                1.0.25-3
ii  libbluetooth3             4.99-2
ii  libbrlapi0.5              4.4-4
ii  libc6                     2.13-33
ii  libcurl3-gnutls           7.26.0-1
ii  libfdt1                   1.3.0-2
ii  libgl1-mesa-glx [libgl1]  8.0.3-1
ii  libglib2.0-0              2.32.3-1
ii  libgnutls26               2.12.20-1
ii  libiscsi1                 1.4.0-3
ii  libncurses5               5.9-10
ii  libpulse0                 2.0-3
ii  librados2                 0.43-1
ii  librbd1                   0.43-1
ii  libsasl2-2                2.1.25.dfsg1-4+b1
ii  libsdl1.2debian           1.2.15-5
ii  libspice-server1          0.10.1-2
ii  libtinfo5                 5.9-10
ii  libusbredirparser0        0.4.3-2
ii  libuuid1                  2.20.1-5.1
ii  libvdeplug2               2.3.2-4
ii  libx11-6                  2:1.5.0-1
ii  libxen-4.1                4.1.3~rc1+hg-20120614.a9c0a89c08f2-4
ii  libxenstore3.0            4.1.3~rc1+hg-20120614.a9c0a89c08f2-4
ii  openbios-ppc              1.0+svn1060-1
ii  openbios-sparc            1.0+svn1060-1
ii  openhackware              0.4.1-6
ii  qemu-keymaps              1.1.0+dfsg-1
ii  seabios                   1.7.0-1
ii  vgabios                   0.7a-3
ii  zlib1g                    1:1.2.7.dfsg-13

Versions of packages qemu-system recommends:
ii  qemu-utils  1.1.0+dfsg-1
pn  vde2        <none>

Versions of packages qemu-system suggests:
pn  samba  <none>

-- 



Information forwarded to debian-bugs-dist@lists.debian.org, ygrek@autistici.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#681985; Package qemu-system. (Mon, 23 Jul 2012 09:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to ygrek <ygrek@autistici.org>:
Extra info received and forwarded to list. Copy sent to ygrek@autistici.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. (Mon, 23 Jul 2012 09:21:06 GMT) Full text and rfc822 format available.

Message #22 received at 681985@bugs.debian.org (full text, mbox):

From: ygrek <ygrek@autistici.org>
To: Debian Bug Tracking System <681985@bugs.debian.org>
Subject: Re: qemu-system: "-usbdevice tablet" causes bus error
Date: Mon, 23 Jul 2012 12:18:18 +0300
Package: qemu-system
Version: 1.1.0+dfsg-1
Followup-For: Bug #681985

Ok, got the real reproducer. This happened on development machine
where I have glibc malloc checking[1] turned on.

  $ grep MALLOC ~/.bashrc 
  export MALLOC_CHECK_=3
  export MALLOC_PERTURB_=$(($RANDOM % 255 + 1))

Unsetting MALLOC_PERTURB_ makes the bus error go away.
Running 

  MALLOC_PERTURB_=120 qemu-system-x86_64 -usbdevice tablet

exhibits the problem. AFAIU this indicates the use of uninitialized
malloc memory in qemu, but without symbols I cannot dig any further.

[1]: http://udrepper.livejournal.com/11429.html



Added tag(s) upstream, confirmed, pending, and patch; removed tag(s) unreproducible and moreinfo. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Wed, 08 Aug 2012 17:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>:
Bug#681985; Package qemu-system. (Wed, 08 Aug 2012 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>. (Wed, 08 Aug 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #29 received at 681985@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: ygrek <ygrek@autistici.org>, 681985@bugs.debian.org
Subject: Re: Bug#681985: qemu-system: "-usbdevice tablet" causes bus error
Date: Wed, 08 Aug 2012 21:52:36 +0400
severity 681985 important
clone 681985 -1
reassign -1 qemu-kvm 1.1.0+dfsg-3
tags 681985 - pending
thanks

On 23.07.2012 13:18, ygrek wrote:
> Package: qemu-system
> Version: 1.1.0+dfsg-1
> Followup-For: Bug #681985
> 
> Ok, got the real reproducer. This happened on development machine
> where I have glibc malloc checking[1] turned on.

This is the same as https://bugzilla.novell.com/show_bug.cgi?id=766310 ,
fixed by this upstream commit:
http://git.qemu.org/?p=qemu.git;a=commit;h=77fa9aee38758a078870e25f0dcf642066b4d5cc

(initial analisys by Bruce Rogers,
http://lists.gnu.org/archive/html/qemu-devel/2012-06/msg02498.html ).

This problem affects more than just -usbdevice tablet,
it actually affects any usb device and is guest-triggerable.
Raising severity to important.

Also, the same issue exists in qemu-kvm package, cloning
the bugreport.

Thanks!

/mjt



Severity set to 'important' from 'normal' Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 08 Aug 2012 17:57:08 GMT) Full text and rfc822 format available.

Bug 681985 cloned as bug 684323 Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 08 Aug 2012 17:57:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'qemu-system' to 'qemu-kvm'. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 08 Aug 2012 17:57:09 GMT) Full text and rfc822 format available.

No longer marked as found in versions qemu/1.1.0+dfsg-1. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 08 Aug 2012 17:57:09 GMT) Full text and rfc822 format available.

Marked as found in versions qemu-kvm/1.1.0+dfsg-3. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 08 Aug 2012 17:57:10 GMT) Full text and rfc822 format available.

Changed Bug title to '"-usbdevice tablet" causes bus error' from 'qemu-system: "-usbdevice tablet" causes bus error' Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Wed, 08 Aug 2012 18:03:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Sat, 25 Aug 2012 09:21:19 GMT) Full text and rfc822 format available.

Notification sent to ygrek <ygrek@autistici.org>:
Bug acknowledged by developer. (Sat, 25 Aug 2012 09:21:19 GMT) Full text and rfc822 format available.

Message #46 received at 684323-close@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 684323-close@bugs.debian.org
Subject: Bug#684323: fixed in qemu-kvm 1.1.1+dfsg-1
Date: Sat, 25 Aug 2012 09:17:55 +0000
Source: qemu-kvm
Source-Version: 1.1.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
qemu-kvm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684323@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Tokarev <mjt@tls.msk.ru> (supplier of updated qemu-kvm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Aug 2012 12:56:01 +0400
Source: qemu-kvm
Binary: qemu-kvm qemu-kvm-dbg kvm
Architecture: source i386
Version: 1.1.1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Michael Tokarev <mjt@tls.msk.ru>
Changed-By: Michael Tokarev <mjt@tls.msk.ru>
Description: 
 kvm        - dummy transitional package from kvm to qemu-kvm
 qemu-kvm   - Full virtualization on x86 hardware
 qemu-kvm-dbg - Debugging info for qemu-kvm
Closes: 680719 683096 684261 684263 684282 684311 684323 684327 685314
Changes: 
 qemu-kvm (1.1.1+dfsg-1) unstable; urgency=low
 .
   * new upstream bugfix release (1.1.1) (Closes: #684311)
     Removed applied upstream patches:
     - qemu-kvm-Add-missing-default-machine-options.patch
     - qemu-kvm-virtio-Do-not-register-mask-notifiers-witho.patch
   * uhci:-fix-uhci_async_cancel_all.patch fixes use-after-free
     in usb code (Closes: #684323)
   * eventfd-making-it-thread-safe.patch - fix a missing
     ioeventfd notifier (Closes: #680719, #685314)
   * qom-object_delete-should-unparent-the-object-first.patch
     fixes assertion failure on usb_del (Closes: #684282)
   * virtio-blk-fix-use-after-free-while-handling-scsi-commands.patch
     (Closes: #684261)
   * ahci-Fix-ahci-cdrom-read-corruptions-for-reads-128k.patch (Closes: #684263)
   * ahci-Fix-sglist-memleak-in-ahci_dma_rw_buf.patch (Closes: #684327)
   * kvm-i8254-cache-kernel-clock-offset-in-KVMPITState.patch and
     kvm-i8254-finish-time-conversion-fix.patch - two patches from upstream
     stable to fix TSC vs PIT timers (Closes: #683096)
   * document -netdev option in the manpage, a long-standing omission
     (net-add--netdev-options-to-man-page.patch)
Checksums-Sha1: 
 2916e3850bb0ce08ec3c387724aea5bc2c6dcfc2 1949 qemu-kvm_1.1.1+dfsg-1.dsc
 b7277fcf0c19397a27a69387bfe45ca38506b9a0 3645276 qemu-kvm_1.1.1+dfsg.orig.tar.xz
 5701b38c50b9b308c106106cd81733816b2832d6 42677 qemu-kvm_1.1.1+dfsg-1.debian.tar.gz
 c87a023409129fc4882feee1c20efdbbd8aeb97d 1753606 qemu-kvm_1.1.1+dfsg-1_i386.deb
 ad6e3e1c4e78bb074fcf9858036dbc65a5ab0ba9 5091316 qemu-kvm-dbg_1.1.1+dfsg-1_i386.deb
 2ea153727afa86bb89b81f4f54b1b6eec57d7935 21950 kvm_1.1.1+dfsg-1_i386.deb
Checksums-Sha256: 
 c7516b33b7b1ba90975d5b9ed3f67d8ec873cee6df44dbfb10386d03002bd225 1949 qemu-kvm_1.1.1+dfsg-1.dsc
 9b1b5f6acdb72874c91c5d02e2d2d951ceb78d76c5e2df9ae4498464f54bdf3d 3645276 qemu-kvm_1.1.1+dfsg.orig.tar.xz
 f453a396ac6423cdf2f5713d4caf4d8c28b5706244a1103f229a32651029fb8d 42677 qemu-kvm_1.1.1+dfsg-1.debian.tar.gz
 6b9fe603585bb1152c62a2493498984205a763a2955c73406729a8c340ef27c6 1753606 qemu-kvm_1.1.1+dfsg-1_i386.deb
 3fddcf3f30c5562ee6ff2909e4d9ed5d48ec5a30fca5af1e50571e004179aaf0 5091316 qemu-kvm-dbg_1.1.1+dfsg-1_i386.deb
 1c125efd6fc8cc32dadd6792e9f63fd5d855cf0f80fcdd2e15947488f3c695ea 21950 kvm_1.1.1+dfsg-1_i386.deb
Files: 
 7118b7b8081c01b76fc6807f9fb60ee1 1949 misc optional qemu-kvm_1.1.1+dfsg-1.dsc
 9d059d914fad114c506030530c2d9817 3645276 misc optional qemu-kvm_1.1.1+dfsg.orig.tar.xz
 1bf5baa1950dd86e49789357b97a4fc3 42677 misc optional qemu-kvm_1.1.1+dfsg-1.debian.tar.gz
 0fcd32fcf4584598aa59dccc726fcc4e 1753606 misc optional qemu-kvm_1.1.1+dfsg-1_i386.deb
 9accdc6d324ef823b4399f312e892da7 5091316 debug extra qemu-kvm-dbg_1.1.1+dfsg-1_i386.deb
 0e798a4a4cca897b060de9f2f1935e2c 21950 oldlibs extra kvm_1.1.1+dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iJwEAQECAAYFAlA4llQACgkQUlPFrXTwyDgMkAQAgkVe70KencSD1QiqwiJT1rq1
I6BWGXxUvSh/MCI/GxnFEGKBLNJ9//pLKIHedmNSx+0+Hxg4d61CbRi5JDyLEoCZ
bDAlC+pGqWTYqALi2bsZvnOQLEOI/H3+YMk+7G6YPCjsxcML2CVbKVoBOrti9v8p
zwSxxj2KMFwyxjDgGXc=
=UzkX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Oct 2012 07:26:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:32:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.